Bug 19554 - The inventory table should jump to detail instead of MARCdetail
Summary: The inventory table should jump to detail instead of MARCdetail
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-31 14:53 UTC by Marcel de Rooy
Modified: 2017-12-20 12:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19554: The inventory table should jump to detail instead of MARCdetail (1.58 KB, patch)
2017-10-31 15:00 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19554: The inventory table should jump to detail instead of MARCdetail (1.59 KB, patch)
2017-11-01 02:52 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19554: The inventory table should jump to detail instead of MARCdetail (1.63 KB, patch)
2017-12-15 15:39 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-10-31 14:53:56 UTC
The regular detail page gives me information about items and MARCdetail does not. In most cases inventory problems are about items and not about MARC fields in the biblio record. So I propose to just replace the link. A trivial edit.
Comment 1 Marcel de Rooy 2017-10-31 15:00:04 UTC
Created attachment 68865 [details] [review]
Bug 19554: The inventory table should jump to detail instead of MARCdetail

This patch just replaces the link to detail.
Detail provides item information needed in case of inventory problems.

Test plan:
Go to Tools/Inventory.
Create an inventory list without barcode file.
Check if the link goes to detail now.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 M. Tompsett 2017-11-01 02:52:08 UTC
Created attachment 68875 [details] [review]
Bug 19554: The inventory table should jump to detail instead of MARCdetail

This patch just replaces the link to detail.
Detail provides item information needed in case of inventory problems.

Test plan:
Go to Tools/Inventory.
Create an inventory list without barcode file.
Check if the link goes to detail now.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Katrin Fischer 2017-11-01 11:31:31 UTC
+1
Comment 4 Marcel de Rooy 2017-11-01 12:03:06 UTC
(In reply to M. Tompsett from comment #2)
> Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Thanks Mark
Comment 5 Julian Maurice 2017-12-15 15:39:19 UTC
Created attachment 69826 [details] [review]
Bug 19554: The inventory table should jump to detail instead of MARCdetail

This patch just replaces the link to detail.
Detail provides item information needed in case of inventory problems.

Test plan:
Go to Tools/Inventory.
Create an inventory list without barcode file.
Check if the link goes to detail now.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Jonathan Druart 2017-12-18 15:19:03 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2017-12-20 12:01:04 UTC
Awesome work all! Enhancement, not backporting for 17.11